import java.util.HashSet;
import java.util.Set;

public class Room {
    private String name;
    private boolean minotaur;

    private Set<Room> reachable;

    public Room(String name) {
        this.name = name;
        minotaur = false;
        reachable = new HashSet<>();
    }

    public void setMinotaur(boolean v) {
        minotaur = v;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addReachable(Room room) {
        reachable.add(room);
        room.addReachable(this);
    }
}
